=== debian/changelog ===
owncloud-client (1.0.5+repack1-0ubuntu1) quantal; urgency=low

  * New upstream release LP: #1053449

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Mon, 01 Oct 2012 20:07:46 -0600

owncloud-client (1.0.4+repack1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2012 17:07:22 +0100

owncloud-client (1.0.3+repack1-0ubuntu1) quantal; urgency=low

  * Initial package
  * Remove admin/ directory which had unused binary files in it
  * Add kubuntu_01_sysconf_dir.diff to fix install dir

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 17:43:04 +0100
