=== debian/control ===
Source: owncloud-client
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev (>= 4.7), libcsync-dev (>= 0.50.8)
Standards-Version: 3.9.3

Package: owncloud-client
Architecture: any 
Depends: ${misc:Depends}, ${shlibs:Depends}, oxygen-icon-theme, libcsync-plugin-owncloud (>= 0.50.8)
Description: GUI app to sync a folder to ownCloud
 GUI to sync your local folders with an ownCloud server.
