=== debian/rules ===
#!/usr/bin/make -f

%:	
	dh $@

override_dh_install:
	dh_install
	install -m 644 -D $(CURDIR)/debian/extrafiles/owncloud-client.desktop $(CURDIR)/debian/owncloud-client/usr/share/applications/owncloud-client.desktop
	rm $(CURDIR)/debian/owncloud-client/usr/bin/mirall
	rm $(CURDIR)/debian/owncloud-client/usr/share/icons/hicolor/48x48/apps/mirall.png

repack:
	rm -r admin/
