=== debian/changelog ===
owncloud-client (1.2.1+debian-1ubuntu2) raring; urgency=low

  * Update .symbols file for ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Mar 2013 18:37:26 +0000

owncloud-client (1.2.1+debian-1ubuntu1) raring; urgency=low

  * Ubuntu upload
  * Add kubuntu_01_doc.diff fix compile failure with docs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Mar 2013 17:16:08 +0000

owncloud-client (1.2.1+debian-1) UNRELEASED; urgency=low

  *  bump revision

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 05 Mar 2013 05:11:26 +0100

owncloud-client (1.2.0+debian-1~1.gbp990136) unstable; urgency=low

  ** SNAPSHOT build @9901364d2a673e9463b08e90bb1820a04fbb5383 **

  * Initial release for debian. (Closes: #692872)

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 04 Feb 2013 03:36:54 +0100
