=== debian/control ===
Source: owncloud-client
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev (>= 4.7), hardening-wrapper, pkg-kde-tools (>= 0.5),
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
 qt4-dev-tools,  kdelibs5-dev, libocsync-dev (>= 0.70.4), qtkeychain-dev, asciidoc, xsltproc
Vcs-Git: git://git.debian.org/git/pkg-owncloud/owncloud-client.git
Vcs-browser: http://git.debian.org/?p=pkg-owncloud/owncloud-client.git
Standards-Version: 3.9.3
Homepage: http://owncloud.org/dev/sync-clients/linux-build/

Package: owncloud-client
Architecture: any 
Depends: ${misc:Depends}, ${shlibs:Depends},
 libowncloudsync0 (= ${binary:Version}), mirall-i18n, libocsync-plugin-owncloud
Description: GUI app to sync a folder to ownCloud
 Specify one ore more directories on the local machine to sync your ownCloud
 server, and always have your latest files wherever you are. Make a change to
 the files on one computer, it will flow across the others using these desktop
 sync clients.

#Package: mirall
#Architecture: any 
#Depends: ${misc:Depends}, ${shlibs:Depends},
# libmirallsync0 (= ${binary:Version}), libocsync0 (>= 0.70.4), mirall-i18n
#Description: GUI app to synchronize your folders
# Mirall is a GUI to sync your folders with csync.
# .
# Mirall ist location aware and should not try to sync against your NAS
# if you are not in the home network. It should work silently and realiably.
# .
# Specify one ore more directories on the local machine to sync, and always have
# your latest files wherever you are. Make a change to the files on one computer,
# it will flow across the others using these desktop sync clients.

#Package: mirall-doc
#Architecture: all 
#Depends: ${misc:Depends}, ${sphinxdoc:Depends}
#Section: doc
#Description: Documentation package for mirall
# Mirall is a GUI to sync your folders with csync.
# .
# Mirall ist location aware and should not try to sync against your NAS
# if you are not in the home network. It should work silently and realiably.
# .
# Specify one ore more directories on the local machine to sync, and always have
# your latest files wherever you are. Make a change to the files on one computer,
# it will flow across the others using these desktop sync clients.
# .
# These are the Documenation files.

Package: libowncloudsync0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libocsync0 (>= 0.70.4)
Section: libs
Description: Syncing lib for ownCloud Client
 This lib syncs your folders with an ownCloud Server.
 .
 Specify one ore more directories on the local machine to sync your ownCloud
 server, and always have your latest files wherever you are. Make a change to
 the files on one computer, it will flow across the others using these desktop
 sync clients.

Package: mirall-i18n
Architecture: all
Depends: ${misc:Depends}
Section: localization
Replaces: owncloud-client (<< 1.2.1+debian-1ubuntu1)
Description: Localization for mirall
 Mirall is a GUI to sync your folders with csync.
 .
 Mirall ist location aware and should not try to sync against your NAS
 if you are not in the home network. It should work silently and realiably.
 .
 Specify one ore more directories on the local machine to sync, and always have
 your latest files wherever you are. Make a change to the files on one computer,
 it will flow across the others using these desktop sync clients.
 .
 These are the Localization files.
