=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

export CSYNC_DIR=/usr/include/ocsync
#export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:	
	dh $@ --with kde --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	#chmod +x doc/makeman.sh
	dh_auto_configure --buildsystem=kde -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_SYSCONFDIR=/etc/owncloud -DCREATEDOC=ON
